Device not compatible. Android 6.0.1



  • Can I down catan on my new android device? The system is 6.0.1.


  • administrators

    @Greenman608a That depends on the processor you are using. Since the App is for free I suggest you give it a try



  • I'm sorry. I should have been more clear. My new Victbing tablet is running Android 6.0.1 and I can't download Catan Universe. The Play Store says its not compatible with this version. Seems like a new device running an OS much higher than 4 should be compatible with Catan Universe. Can I expect Catan Universe to be updated to work on this device or 6.0.1 going to always be a mismatch? Thank you for your time.



  • Hi. Sorry. You said Processor Not OS. It has a QuadCore A64. Bad? Will it ever work?


Log in to reply